Create New TPN
POST
/merchant/onBoardMerchantProvision a new Terminal Profile Number (TPN) under an existing merchant and store by providing `merchantId` and `storeId` with full tpnData. This API allows you to add a TPN under an existing merchant and store, update TPN parameters required for device onboarding and integration, and retrieve TPN details.
Header Parameters
Authorization*
stringBody Parameters
merchantData
merchantId*
stringstoreData
storeId*
stringtpnData
deviceManufacturer*
enumdeviceModel*
enumtpnApplicationSign*
enumtpnAssignTemplate
stringtpnRoutingType*
enumdefaultLabel
stringtpnBin*
stringprocessorName*
enumprofileId*
enumMid*
stringAgent*
stringChain*
stringStore*
stringTermNo*
stringTermId*
stringABA_No
stringAgent_FIID
stringdsGroup
stringPOST/merchant/onBoardMerchant
1curl --location 'https://externalapi.ipospays.tech/v2/merchant/onBoardMerchant' \
2--header 'Authorization: ' \
3--header 'Content-Type: application/json' \
4--data '{
5 "merchantData": {
6 "merchantId": ""
7 },
8 "storeData": {
9 "storeId": ""
10 },
11 "tpnData": {
12 "deviceManufacturer": "Cloud POS",
13 "deviceModel": "Cloud POS",
14 "tpnApplicationSign": "CRDT",
15 "tpnAssignTemplate": "",
16 "tpnRoutingType": "SIMPLE",
17 "defaultLabel": "onboardAPI",
18 "tpnBin": "999991",
19 "tpnProcessor": {
20 "processorName": "TSYS",
21 "profile": [
22 {
23 "profileId": "01",
24 "Mid": "886000003338",
25 "Agent": "000000",
26 "Chain": "111111",
27 "Store": "5999",
28 "TermNo": "1515",
29 "TermId": "75124668",
30 "ABA_No": "",
31 "Agent_FIID": "",
32 "dsGroup": ""
33 }
34 ]
35 }
36 }
37}'
Response
// Awaiting response…
Sample response
{
"message": "TPN onboard success",
"data": {
"merchantId": "merchId12chr",
"storeId": "storeId12chr",
"tpn": "75124668",
"tpnId": "tpnId12chr"
}
}